﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;


struct Ksiazka
{
    public string tytul;
    public string autor;
    public float cena;
}

struct Ksiazka2
{
    string tytul;
    string autor;
    float cena;
    public void PrzypiszDane(string _t,string _a,float _c) {
        tytul = _t;
        autor = _a;
        cena = _c;
    }
    public void PokazDane(TextBox tb)
    {
        tb.AppendText("Tytuł: "+tytul+"\r\n");
        tb.AppendText("Autor: " + autor + "\r\n");
        tb.AppendText("Cena: " + cena.ToString("C") + "\r\n");
    }
    public void Czysc()
    {
        tytul = null;
        autor=null;
        cena = 0;
    }
}


namespace struktura_danych_cz1
{
    public partial class Form1 : Form
    {
        Ksiazka[] tab=new Ksiazka[5];
        Ksiazka2[] tab2 = new Ksiazka2[5];
        //licznik wpisanych ksiazek
        int licznik = 0;

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //dodanie ksiązki do tablicy typu pierwszego
            tab[licznik].tytul = textBox1.Text;
            tab[licznik].autor = textBox2.Text;
            tab[licznik].cena = (float)Convert.ToDouble(textBox3.Text);
            //dodanie ksiązki do tablicy typu drugiego
            tab2[licznik].PrzypiszDane(textBox1.Text,
                                 textBox2.Text,
                                 (float)Convert.ToDouble(textBox3.Text)
                                 );
            //sprawdz czy nie przekroczono zakresu rozmiaru tablic
            if (licznik + 1 < tab.GetLength(0))
                //zwieksz licznik dodanych ksiazek
                licznik++;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            textBox4.AppendText("Zawartośc tablicy typu pierwszego+\r\n");
            foreach (Ksiazka k in tab)
            {
                textBox4.AppendText("***********\r\n");
                textBox4.AppendText("Tytuł: " + k.tytul+"\r\n");
                textBox4.AppendText("Autor: " + k.autor + "\r\n");
                textBox4.AppendText("Cena: " + k.cena.ToString("C") + "\r\n");
            };
        }

        private void button3_Click(object sender, EventArgs e)
        {
            textBox5.AppendText("Zawartośc tablicy typu drugiego+\r\n");
            foreach (Ksiazka2 k in tab2)
            {
                textBox5.AppendText("***********\r\n");
                k.PokazDane(textBox5);
            }
        }

        private void button4_Click(object sender, EventArgs e)
        {
            textBox4.Clear();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            textBox5.Clear();
        }

        private void button6_Click(object sender, EventArgs e)
        {
            //zeruj licznik wpisów
            licznik = 0;
            //czyść tablicę typu pierwszego 
            for (int i=0; i<tab.GetLength(0); i++)   
            {
                tab[i].tytul = null;
                tab[i].autor = null;
                tab[i].cena = 0;
            }
            //czyść tablicę typu drugiego
            for (int i = 0; i < tab2.GetLength(0); i++)
                tab2[i].Czysc();
        }
    }
}
